<?php
class UEstacionamiento extends Usuario{

	public function __construct(){
		parent::__construct();
	}

	public function autenticarAdministrador($usuario,$contrasena){
		$query = 'SELECT usu_id AS id, usu_apodo AS apodo, usu_nombre AS nombre, usu_ap_paterno AS ap_paterno, usu_ap_materno AS ap_materno, usu_correo AS correo, usu_estado AS estado, usu_privilegio AS privilegio, IF(COUNT(estacionamiento_est_id)=1,estacionamiento_est_id,IF(COUNT(estacionamiento_est_id)=0,0,-1)) AS estacionamiento, IF(est_disponibilidad=1,"Disponible","No disponible") AS disponibilidad
				FROM usuario AS u LEFT JOIN usu_administra_est AS uae ON usuario_usu_id = usu_id LEFT JOIN estacionamiento AS e ON estacionamiento_est_id = est_id
				WHERE usu_apodo = ? AND usu_contrasena = ? AND usu_privilegio = 1 LIMIT 1;';
		$rs = $this->cn->Execute($query,array($usuario,$contrasena));
		if(!empty($rs) && !$rs->EOF){
			$usuario = $rs->GetArray();
			$rs->Close();
			$usuario[0]['estacionamiento'] = -1;
			return $usuario[0];
		}
		return false;
	}

	public function verificarEstacionamiento($id){
		$query = 'SELECT est_id AS id, IF(est_disponibilidad=1,"Disponible","No disponible") AS disponibilidad FROM usuario AS u LEFT JOIN usu_administra_est AS uae ON usuario_usu_id = usu_id LEFT JOIN estacionamiento AS e ON est_id = estacionamiento_est_id
					WHERE usu_id = ? AND usu_apodo = ? AND est_id = ? AND uae_termino > NOW() AND uae_estado = 1 LIMIT 1;';
		$rs = $this->cn->Execute($query,array($_SESSION['usuario']['id'],$_SESSION['usuario']['apodo'],$id));
		if(!empty($rs) && !$rs->EOF){
			$est = $rs->GetArray();
			$rs->Close();
			return $est[0];
		}
		return false;
	}

	public function __destruct(){
		parent::__destruct();
	}
}
?>